tpg: XTpg_Config Struct Reference

| tpg Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTpg_Config Struct Reference
Tpg_v3_1

This typedef contains configuration information for a TPG core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the TPG core. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the TPG core registers. More...
u32 | SlaveAxisVideoFormat
| Slave Axis Video Format. More...
u32 | MasterAxisVideoFormat
| Master Axis Video Format. More...
u32 | SlaveAxiClkFreqHz
| Slave Clock Frequency. More...
u32 | ActiveRows
| Active Rows. More...
u32 | ActiveColumns
| Active Columns. More...
u32 | PatternControl
| Pattern Control. More...
u8 | MotionSpeed
| Motion Speed. More...
u32 | CrossHairs
| Cross Hair. More...
u32 | ZPlateHorizontalControl
| ZPlate Horizontal Control. More...
u32 | ZPlateVerticalControl
| ZPlate Vertical Control. More...
u16 | BoxSize
| Box Size. More...
u32 | BoxColor
| Box Color. More...
u16 | StuckPixelThreshold
| Stuck Pixel Threshold. More...
u8 | NoiseGain
| Noise Gain. More...
u8 | BayerPhase
| Bayer Phase. More...
u16 | HasIntcIf
| Has Interrupt Control Flag. More...
u16 | EnableMotion
| Enable Motion. More...

## Detailed Description

This typedef contains configuration information for a TPG core.

Each TPG core should have a configuration structure associated.

## Field Documentation

u32 XTpg_Config::ActiveColumns

Active Columns.

u32 XTpg_Config::ActiveRows

Active Rows.

u32 XTpg_Config::BaseAddress

BaseAddress is the physical base address of the TPG core registers.

Referenced by XTpg_CfgInitialize(), XTpg_DisableBox(), XTpg_DisableCrossHair(), XTpg_DisableMotion(), XTPg_DisableNoise(), XTpg_DisableStuckPixel(), XTpg_EnableBox(), XTpg_EnableCrossHair(), XTpg_EnableMotion(), XTPg_EnableNoise(), XTpg_EnableStuckPixel(), XTpg_GetActiveSize(), XTpg_GetBackground(), XTpg_GetBayerPhase(), XTpg_GetBoxColor(), XTpg_GetBoxSize(), XTpg_GetComponentMask(), XTpg_GetCrosshairPosition(), XTpg_GetMotionSpeed(), XTpg_GetNoiseGain(), XTpg_GetPattern(), XTpg_GetStuckPixelThreshold(), XTpg_GetVersion(), XTpg_GetZPlateHSpeed(), XTpg_GetZPlateHStart(), XTpg_GetZPlateVSpeed(), XTpg_GetZPlateVStart(), XTpg_SelfTest(), XTpg_SetActiveSize(), XTpg_SetBackground(), XTpg_SetBayerPhase(), XTpg_SetBoxColor(), XTpg_SetBoxSize(), XTpg_SetComponentMask(), XTpg_SetCrosshairPosition(), XTpg_SetMotionSpeed(), XTpg_SetNoiseGain(), XTpg_SetPattern(), XTpg_SetStuckPixelThreshold(), XTpg_Setup(), XTpg_SetZPlateHSpeed(), XTpg_SetZPlateHStart(), XTpg_SetZPlateVSpeed(), XTpg_SetZPlateVStart(), and XTpgSelfTestExample().

u8 XTpg_Config::BayerPhase

Bayer Phase.

u32 XTpg_Config::BoxColor

Box Color.

u16 XTpg_Config::BoxSize

Box Size.

u32 XTpg_Config::CrossHairs

Cross Hair.

u16 XTpg_Config::DeviceId

DeviceId is the unique ID of the TPG core.

u16 XTpg_Config::EnableMotion

Enable Motion.

u16 XTpg_Config::HasIntcIf

Has Interrupt Control Flag.

Referenced by XTpg_IntrHandler().

u32 XTpg_Config::MasterAxisVideoFormat

Master Axis Video Format.

u8 XTpg_Config::MotionSpeed

Motion Speed.

u8 XTpg_Config::NoiseGain

Noise Gain.

u32 XTpg_Config::PatternControl

Pattern Control.

u32 XTpg_Config::SlaveAxiClkFreqHz

Slave Clock Frequency.

u32 XTpg_Config::SlaveAxisVideoFormat

Slave Axis Video Format.

u16 XTpg_Config::StuckPixelThreshold

Stuck Pixel Threshold.

u32 XTpg_Config::ZPlateHorizontalControl

ZPlate Horizontal Control.

u32 XTpg_Config::ZPlateVerticalControl

ZPlate Vertical Control.